summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-05-28 16:25:20 +0200
committerPacho Ramos <pacho@gentoo.org>2016-05-28 17:48:07 +0200
commit9efea65eaf6f5589c6a223e5079a9fb10db4c670 (patch)
tree53e1c4ecb58f2ebab99608a61deac1eda2718131 /dev-util/d-feet
parentdev-util/d-feet: Drop old (diff)
downloadgentoo-9efea65eaf6f5589c6a223e5079a9fb10db4c670.tar.gz
gentoo-9efea65eaf6f5589c6a223e5079a9fb10db4c670.tar.bz2
gentoo-9efea65eaf6f5589c6a223e5079a9fb10db4c670.zip
dev-util/d-feet: Version bump
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'dev-util/d-feet')
-rw-r--r--dev-util/d-feet/Manifest1
-rw-r--r--dev-util/d-feet/d-feet-0.3.11.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-util/d-feet/Manifest b/dev-util/d-feet/Manifest
index ef4ae4d2e94..66965f371a0 100644
--- a/dev-util/d-feet/Manifest
+++ b/dev-util/d-feet/Manifest
@@ -1 +1,2 @@
DIST d-feet-0.3.10.tar.xz 179500 SHA256 88f0df5fcb862387ff3d1793873c5eb368c3e4db0bbd82ea65f748cbf70a6359 SHA512 7a6832367b32eae204c456598ac4ad38ead585e916e2d2179203f63f4e87f2e9d9afbc8448324660552ebe4aaf2bd394f73e48f325513c3b0f5fa33f91fce40b WHIRLPOOL 559135be86d13bb7e2ff1c10d753d1c770e2fc0d0a849b643c626fb5db5e3779e5f7b7208086d6e2e92e3f1f81e06f5cb9e3cbc41510c0acab30b3b71fdf99ca
+DIST d-feet-0.3.11.tar.xz 183128 SHA256 a3dc940c66f84b996c328531e3034d475ec690d7ff639445ff7ca746aa8cb9c2 SHA512 a7b72e8f01661d28f4c0a33e20f32c50206d133c1f0ccf22cc3696978f7b7410bdcba29f68d58ccd9ab132cc7ea8fdee99ffe8ca09e8ad992b61df48aeb444ea WHIRLPOOL c2d173139b80e8772c5aa823232cd3e9ad284ad9b8fd43f221d226bfa9f8518ae11e7e39b17e6a3656e54c6baf6a10e1362070b4158f3ee3062b1c9a98b9d372
diff --git a/dev-util/d-feet/d-feet-0.3.11.ebuild b/dev-util/d-feet/d-feet-0.3.11.ebuild
new file mode 100644
index 00000000000..67e7146ad46
--- /dev/null
+++ b/dev-util/d-feet/d-feet-0.3.11.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-single-r1 virtualx
+
+DESCRIPTION="D-Feet is a powerful D-Bus debugger"
+HOMEPAGE="https://wiki.gnome.org/Apps/DFeet"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ >=dev-libs/glib-2.34:2
+ >=dev-libs/gobject-introspection-0.9.6:=
+ >=dev-python/pygobject-3.3.91:3[${PYTHON_USEDEP}]
+ >=sys-apps/dbus-1
+ >=x11-libs/gtk+-3.9.4:3[introspection]
+ x11-libs/libwnck:3[introspection]
+"
+DEPEND="${PYTHON_DEPS}
+ app-text/yelp-tools
+ >=dev-util/intltool-0.40.0
+"
+
+src_prepare() {
+ python_fix_shebang .
+
+ # Do not run update-desktop-database (sandbox violation)
+ sed -e '/^UPDATE_DESKTOP/s:=.*:=true:' \
+ -i data/Makefile.am data/Makefile.in || die
+
+ # disable pep8 - checking python whitespace style is not useful for us
+ sed -e 's/pep8 /# pep8 /' \
+ -i src/tests/Makefile.am src/tests/Makefile.in || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # disable pep8 - checking python code style is not useful downstream
+ # (especially when that style check fails!)
+ gnome2_src_configure \
+ $(use_enable test tests) \
+ PEP8=$(type -P true)
+}
+
+src_test() {
+ Xemake check
+}